USE [master]
GO

--
-- Database Log File Size Vs VLF Count 
--
--
-- If Size Is small - 2 VLFs will be created
--
CREATE DATABASE [DB_2MB]
Go
USE DB_2MB
GO

SP_HELPDB 'DB_2MB'
GO

DBCC LOGINFO('DB_2MB')
GO


--
-- If Size less than 64 MB - 4 VLFs will be created
--
CREATE DATABASE [DB_64MB] ON  PRIMARY 
( NAME = N'DB_64MB', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_64MB.mdf' , 
  SIZE = 4MB, MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'DB_64MB_log', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_64MB_log.LDF' , 
  SIZE = 64MB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

DBCC LOGINFO('DB_64MB')
GO
-- 4 VLFs

--
-- If Size Between 64 MB and 1 GB - 8 VLFs will be created
--
CREATE DATABASE [DB_1GB] ON  PRIMARY 
( NAME = N'DB_1GB', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_1GB.mdf' , 
  SIZE = 1GB, MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'DB_1GB_log', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_1GB_log.LDF' , 
  SIZE = 1GB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

DBCC LOGINFO('DB_1GB')
GO
-- 8 VLFs

--
-- If Size greater than 1 GB - 16 VLFs will be created
--
CREATE DATABASE [DB_2GB] ON  PRIMARY 
( NAME = N'DB_2GB', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_2GB.mdf' , 
  SIZE = 2GB, MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'DB_2GB_log', 
  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DB_2GB_log.LDF' , 
  SIZE = 2GB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

DBCC LOGINFO('DB_2GB')
GO
-- 16 VLFs

-- Cleaning
DROP DATABASE DB_64MB
GO
DROP DATABASE DB_1GB
GO
DROP DATABASE DB_2GB
GO
